#include "app_clock.h"
#include "pcf8563.h"

PCF8563_Class rtc;
RTC_Date date;

void app_clock_set_time_str(String datetime)
{
  int year = datetime.substring(0, 4).toInt();
  int month = datetime.substring(4, 6).toInt();
  int day = datetime.substring(6, 8).toInt();
  int hr = datetime.substring(8, 10).toInt();
  int min = datetime.substring(10, 12).toInt();
  int sec = datetime.substring(12, 14).toInt();
  rtc.setDateTime(year, month, day, hr, min, sec);
}