#ifndef __APP_KEY_H
#define __APP_KEY_H

#define PIN_KEY0 7
#define PIN_KEY1 12

typedef enum
{
    KEY_NONE = 0,

    KEY0_DOWN,  //  按下
    KEY0_UP,    //  释放
    KEY0_SHORT, //  短按
    KEY0_LONG,  //  长按

    KEY1_DOWN,  //  按下
    KEY1_UP,    //  释放
    KEY1_SHORT, //  短按
    KEY1_LONG,  //  长按

} KEY_TYPE;

void app_key_init(void);

void app_key_config_wakeup(void);

KEY_TYPE app_key_get();
void app_key_clean();
#endif
