#include "app_motion.h"
#include <Arduino.h>

#include <stdio.h>
#include <Wire.h>

extern TwoWire IIC;
BMA bma(IIC);
void app_motion_init(bool reset)
{

    if (reset)
    {
        bma.reset();
        delay(100); //延时很重要，否则会失败
    }
    bma.begin();

    if (reset)
    {
        bma.config();
    }
}

int8_t app_motion_config_stepcount(void)
{
    int8_t rslt;

    return rslt;
}

int8_t app_motion_config_wist_tilt(void)
{
    int8_t rslt;

    return rslt;
}

int8_t app_motion_config_step_act(void)
{
    /* Enable the sensor activity recognition feature can detect following
     * Stationary
     * Walking
     * Running
     */
    int8_t rslt;
    return rslt;
}

int8_t app_motion_get_step(uint32_t *step_out)
{
    // bma.exitLowPower();
    // *step_out = bma.getCounter();
    bma.getStepCounter(step_out);
    // bma.enterLowPower();
    int8_t rslt;
    return rslt;
}

int32_t app_motion_get_temperature()
{
    int32_t temp;
    bma.getTemperatureC(&temp);
    return temp;
}

void app_motion_config_wakeup()
{
    //     bma.readInterrupt();
    //     bma.enableTiltInterrupt(true);
    //     bma.readInterrupt();
    //   pinMode(PIN_BMA_INT2,  INPUT_PULLUP_SENSE);    // this pin (WAKE_HIGH_PIN) is pulled down and wakes up the feather when externally connected to 3.3v.
}

void app_motion_get_rawdata()
{

    bma.getRawData();
}

int16_t app_motion_get_raw_x()
{
    return bma.sens_data.x;
}

int16_t app_motion_get_raw_y()
{
    return bma.sens_data.y;
}

int16_t app_motion_get_raw_z()
{
    return bma.sens_data.z;
}

void app_motion_get_angle(Angle_t *angle)
{
    bma.getRawData();
    bma.getAngle(angle);
}