#include "app_power.h"
#include <Arduino.h>

#if defined(NRF52)

void app_power_off(void)
{

  uint8_t sd_en;
  (void)sd_softdevice_is_enabled(&sd_en);
  if (sd_en)
  {
    // SoftDevice enabled
    sd_power_system_off();
  }
  else
  {
    // No SoftDevice
    NRF_POWER->SYSTEMOFF = 1;
  }
}

#endif